# Contribution Guidelines 🙌

This documentation contains a set of guidelines to help you during the contribution process of this project. I'm happy to welcome all the contributions from anyone willing to add new scripts to this repository. Thank you for helping out and remember, No contribution is too small.

## Steps to Contribute👩‍💻👨‍💻

Please make sure you follow this guidelines so your code can be merged as quickly as possible

## Issues / Features 🌟

When contributing to this repository, if you notice any bugs, issues or you have an idea/feature you would like to add to this project, please raise an **issue** first. Templates for issues have been created, you can choose <a href="https://github.com/Evavic44/rocketmeme/issues/new/choose">here</a>.

## Making Changes ♻️

When making changes, fixing an issue or adding features to this project, please only add code that is related to the issue or feature you have been assigned to. For E.g If your feature is to add a button, your pull request should contain code that adds the button only.

- Don't make two different changes in one pull request. If you see another issue aside from the one you are working on. Raise a different PR for it. 🙏🏽

- And remember, the smaller the change, the faster for it to be reviewed and merged. 🙂

- Do not delete or modify someone else's code in this repository, unless stated otherwise.

- Give a meaningful name to whatever file or folder you are adding.

## Commits ✨

Write your commit message in the imperative: **"Fix bug"** and not **"Fixed bug"** or **"Fixes bug."** This convention matches up with commit messages generated by commands like git merge and git revert.

- Keep your commits short but descriptive.
- Do not end a commit message with a period `.`

## Resources 📖

If you are completely new to open source contribution and everything written here sounds confusing to you, I highly recommend you check out these resources. They will get you up to speed and you can come back to contribute your awesome ideas.

### Videos

- <a href="https://www.youtube.com/watch?v=yzeVMecydCE&t=355s" target="_blank">How to contribute to open source - Complete Guide</a> by Eddie Jaoude.
- <a href="https://www.youtube.com/watch?v=ExFCwFPTsE0">How NOT to contribute to open source on GitHub - (5 tips)</a> by Eddie Jaoude.
- <a href="https://www.youtube.com/watch?v=f90683yjtyE">How to keep your GitHub Fork in-sync and up to date</a> by Eddie Jaoude

### Need more help? 🤔

You can refer to the following articles on basics of Git and Github and also contact me, in case you are stuck:

- <a href="https://help.github.com/en/github/getting-started-with-github/fork-a-repo">Forking a Repo</a>
- <a href="https://help.github.com/en/desktop/contributing-to-projects/creating-an-issue-or-pull-request">Cloning a Repo</a>
- <a href="https://opensource.com/article/19/7/create-pull-request-github">How to create a Pull Request</a>
- <a href="https://towardsdatascience.com/getting-started-with-git-and-github-6fcd0f2d4ac6">Getting started with Git and GitHub</a>
- <a href="https://lab.github.com/githubtraining/introduction-to-github">Learn GitHub from Scratch</a>

### Thank you for reading and Happy Coding. 🤩

<img src="https://user-images.githubusercontent.com/62628408/168494869-26b94a85-e8ba-4c5c-87ff-f34cf6198f3b.png" width="100%" alt="rocketmeme banner">
